%define upstream_name    Linux-Prctl
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Control process parameters and capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Linux-Prctl-1.4-skip_yama.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libcap-devel
BuildRequires: perl-devel

%description
The linux prctl function allows you to control specific characteristics of
a process' behaviour. Usage of the function is fairly messy though, due to
limitations in C and linux. This module provides a nice non-messy
python(ic) interface. Most of the text in this documentation is based on
text from the linux manpages prctl(2) and capabilities(7)

Besides prctl, this library also wraps libcap for complete capability
handling.

EXPORTS
    There are 2 export tags: :constants and :functions. These export what
    you think they will.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1 -b .yama

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.400.0-5.mga4
+ Revision: 524410
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.400.0-4.mga4
+ Revision: 430868
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-3.mga3
+ Revision: 369120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 jquelin <jquelin> 1.400.0-2.mga3
+ Revision: 256137
- upstream patch to skip yama test

* Fri Jun 01 2012 jquelin <jquelin> 1.400.0-1.mga3
+ Revision: 252878
- remove failing test

* Thu Nov 17 2011 kharec <kharec> 1.400.0-1.mga2
+ Revision: 168580
- add correct BR
- imported package perl-Linux-Prctl


* Thu Nov 17 2011 cpan2dist 1.4-1mga
- initial mageia release, generated with cpan2dist
